### Virtual Method

# Foundry DebuggerProvider supports

#### Declaration [src]

    DexFuture*
    supports (
      FoundryDebuggerProvider* self,
      FoundryBuildPipeline* pipeline,
      FoundryCommand* command
    )

#### Description

No description available.

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`command`

  Type: `FoundryCommand`

  A `FoundryCommand`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to an integer `G_TYPE_INT` of the priority of the debugger (larger value is higher priority) or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.